Unable to access Plesk: PHP Fatal error: Unknown: Failed opening required 'auth.php'

Created:

2017-01-13 15:17:56 UTC

Modified:

2017-08-08 13:41:08 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to access Plesk: PHP Fatal error: Unknown: Failed opening required 'auth.php'

Applicable to:

  • Plesk 12.0 for Linux

Symptoms

Plesk web interface is not available, the following errors can be found in /var/log/plesk/panel.log file:

PHP Warning: Unknown: failed to open stream: No such file or directory in Unknown on line 0
PHP Fatal error: Unknown: Failed opening required 'auth.php' (include_path='/opt/psa/admin/plib:/opt/psa/admin/externals') in Unknown on line 0

Cause

plesk-core package is corrupted.

Resolution

Download plesk-core package from autoinstall.plesk.com and reinstall it.

Here is an example for Debian OS and Plesk 12.0:

# dpkg -r --force-depends plesk-core
# wget http://autoinstall.plesk.com/PSA_12.0.18/dist-deb-Debian-7.0-x86_64/base/plesk-core_12.0.18-debian7.0.build1200140606.15_amd64.deb
# dpkg --install plesk-core_12.0.18-debian7.0.build1200140606.15_amd64.deb
Have more questions? Submit a request
Please sign in to leave a comment.